Subject: Re: exim errors
From: "Pierre A. Humblet" <[email-masked]>
To: Mike Skallas <[email-masked]>
Cc: [email-masked]
Date: Fri, 20 Aug 2004 00:11:54 -0400

At 10:59 PM 8/19/2004 -0500, Mike Skallas wrote:
>No errors when doing the chown. Output:
>
>mike@emma /etc
>$ chown 18:544 /etc/exim.conf
>
>mike@emma /etc
>$ id
>uid=1003(mike)gid=513(None)groups=0(root),513(None),544(Administrators),545
(Users)
>
>I've also noticed the exim resides in both /bin and /usr/bin. Is this 
>correct?

Yes, see below

> > I am assuming that the "install script" you mention is exim-config.
>
>Yep, correct.
>
>I just tried "net start exim" and it works after doing that last chown 
>just now. No idea why it just decided to work.

Life is full of mysteries...

>The only odd thing I can find on here is that the exim installation 
>exists in both /bin and /usr/bin. I'm assuming /usr/bin is a link to the 
>/bin directory.

Your explanation is pretty good. It's actually a "mount", 
but it amounts to about the same thing as a symbolic link.

Pierre

>Mike
>
>Pierre A. Humblet wrote:
>
>> At 10:39 PM 8/19/2004 -0500, Mike Skallas wrote:
>> 
>>>>chown 18:544 /etc/exim.conf
>>>
>>>Still getting the same "check permissions/owners" error. There is no 
>>>root user on this installation (which is weird as I assume root is in 
>>>all unixy things) so I also tried making the owner Administrator and the 
>>>group System.  I also tried System:System. Still no luck.
>>>
>>>I reinstalled exim because I remembered an error that the install script 
>>>gave and reran it:
>>>
>>>"[: 5.1: bad number"
>>>
>>>This appears right after the question regarding FQDN.  Maybe this is 
>>>part of the problem?
>>>
>>>Mike
>> 
>> 
>> Did the chown succeed or was there an error message?
>> What does "ls -l /etc/exim.conf" output after the "chown 18:544
>> /etc/exim.conf"?
>> What is the output of "id"?
>> 
>> I am assuming that the "install script" you mention is exim-config.
>> I am looking into that error.
>> 
>> Pierre
>>  
>> 
>>>Pierre A. Humblet wrote:
>>>
>>>
>>>>At 09:52 PM 8/19/2004 -0500, Mike Skallas wrote:
>>>>
>>>>
>>>>>Pierre A. Humblet:
>>>>>
>>>>>
>>>>>>644 permissions are OK, but what are the owner and the group?
>>>>>
>>>>>I (the only user) am the owner and it has no group:
>>>>>
>>>>>$ ls -la exim*
>>>>>-rwxr--r--    1 mike     None        26475 Aug 19 01:51 exim.conf
>>>>>
>>>>>Any ideas?
>>>>>
>>>>>Also, how do I see a list of groups in cygwin? I know passwd shows users 
>>>>>and what groups they might be in, but is there a command to view 
>>>>>created groups?
>>>>
>>>>
>>>>The groups are listed in the file /etc/groups, which you should have.
>>>>
>>>>/etc/exim.conf should be owned by SYSTEM, with group Administrators
>>>>(which may also be known as "root")
>>>>So just type
>>>>chown 18:544 /etc/exim.conf
>>>>You must be in Administrators for this command to work.
>>>>You can then launch the exim daemon again.
>>>>
>>>>Pierre
>>>>
>>>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/